package com.cool.store.mapper.wallet;

import com.cool.store.entity.wallet.WalletTradeDO;
import org.apache.ibatis.annotations.Param;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface WalletTradeMapper extends Mapper<WalletTradeDO> {
    void insertBatch(List<WalletTradeDO> list);

    int updateByPayNo(WalletTradeDO record);

    int updateBatchByPayNo(@Param("list") List<WalletTradeDO> list);

    /**
     * 查询支付中交易单批次号
     * @param module 业务模块
     * @param type 交易类型
     * @return 批次号列表
     */
    List<String> getPayingOrderBatchCode(@Param("module") String module, @Param("type") Integer type);

    List<WalletTradeDO> getPayingOrder(@Param("module") String module, @Param("type") Integer type);

    List<WalletTradeDO> transferTradeList(@Param("module") String module, @Param("type") Integer type);
}